"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = void 0;
var _path = _interopRequireDefault(require("path"));
var _isAppRouteRoute = require("../../../lib/is-app-route-route");
function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
function getContentType(resourcePath) {
    const filename = _path.default.basename(resourcePath);
    const [name, ext] = filename.split(".");
    if (name === "favicon" && ext === "ico") return "image/x-icon";
    if (name === "sitemap") return "application/xml";
    if (name === "robots") return "text/plain";
    return "text/plain";
}
// `import.meta.url` is the resource name of the current module.
// When it's static route, it could be favicon.ico, sitemap.xml, robots.txt etc.
const nextMetadataRouterLoader = function() {
    const { resourcePath  } = this;
    const code = (0, _isAppRouteRoute).isStaticMetadataRoute(resourcePath) ? `import { NextResponse } from 'next/server'
import fs from 'fs'
import path from 'path'
import { fileURLToPath } from 'url'

const buffer = fs.readFileSync(fileURLToPath(import.meta.url))
const contentType = ${JSON.stringify(getContentType(resourcePath))}

export function GET() {
  return new NextResponse(buffer, {
    status: 200,
    headers: {
      'Content-Type': contentType,
    },
  })
}

export const dynamic = 'force-static'
` : `export { default as GET } from ${JSON.stringify(resourcePath)}`;
    return code;
};
var _default = nextMetadataRouterLoader;
exports.default = _default;

//# sourceMappingURL=next-metadata-route-loader.js.map