"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.isAppRouteRoute = isAppRouteRoute;
exports.isMetadataRoute = isMetadataRoute;
exports.isStaticMetadataRoute = isStaticMetadataRoute;
function isAppRouteRoute(route) {
    return route.endsWith("/route");
}
// Match routes that are metadata routes, e.g. /sitemap.xml, /favicon.<ext>, /<icon>.<ext>, etc.
// TODO-METADATA: support more metadata routes with more extensions
const staticMetadataRoutes = [
    /robots\.txt/,
    /sitemap\.xml/,
    /favicon\.ico/
];
function isMetadataRoute(route) {
    // Remove the 'app/' or '/' prefix, only check the route name since they're only allowed in root app directory
    const filename = route.replace(/^app\//, "").replace(/^\//, "").replace(/\/route$/, "");
    return staticMetadataRoutes.some((r)=>r.test(filename));
}
function isStaticMetadataRoute(resourcePath) {
    return staticMetadataRoutes.some((r)=>r.test(resourcePath));
}

//# sourceMappingURL=is-app-route-route.js.map